{% extends 'base.html' %}

{% block meta %}
<style>
    #container {
        background-color: #AC3834;
        border-radius: 12px;
        position: relative;
        top: 100px;
        margin-left: auto;
        margin-right: auto;
        width: 25%;
        font-size: 20px;   
        text-align: center;
        margin-bottom: 48px;

    }

    #loginhead {
        font-size: 24px;
        color: white;
        background-color: #811112;
        height: 70px;
        text-align: center;
        border-top-left-radius: 12px;
        border-top-right-radius: 12px;

    }

    input[type=text], input[type=vidTitle] {
        width: 80%;
        padding: 15px;
        margin: 25px 0 22px 0;
        display: inline-block;
        border: none;
        background: #EDE0D0;
    }

    input[type=text], input[type=virUrl] {
        width: 80%;
        padding: 15px;
        margin: 25px 0 22px 0;
        display: inline-block;
        border: none;
        background: #EDE0D0;
    }

    input[type=text]:focus, input[type=password]:focus {
        background-color: #ddd;
        outline: none;
    }

    #loginerror {
        font-size: 16px;
    }

    #submitbutton {
        background-color: #811112;
        color: white;
        padding: 16px 20px;
        margin: 8px 0;
        border: none;
        cursor: pointer;
        width: 25%;
        opacity: 0.9;
    }

    #submitbutton:hover {
        opacity: 1;
    }

    #registerbutton {
        padding: 16px 20px;
        color: #EDE0D0;
    }

</style>

<title>D06 | Add Video</title>
{% endblock meta %}

{% block content %}
<body>
    <form method="POST" action="">
        <div id="container">
            {% csrf_token %}

            <div id="loginhead">
                <h1 style="padding-top: 10px;">Add Video</h1>
            </div>

            <form>
                {{ form.as_table }}
                <!-- <input type="text" name="title" placeholder="Title"> <br>
                <input type="text" name="url" placeholder="Embed URL"> <br> <br> -->
                <input type="submit" name="Login User" id="submitbutton">
            </form>
        </div>
    </form>
</body>
{% endblock content %}